Folks.PostalAddressDetails.change_postal_addresses – folks Reference Manual

# change_postal_addresses

## Description:

public virtual async void change_postal_addresses (Set<PostalAddressFieldDetails> postal_addresses) throws PropertyError

Change the contact's postal addresses.

It's preferred to call this rather than setting PostalAddressDetails.postal_addresses directly, as this method gives error notification and will only return once the addresses have been written to the relevant backing store (or the operation's failed).

## Parameters:

postal_addresses | the set of postal addresses

## Exceptions:

PropertyError | if setting the addresses failed

## Since:

0.6.2